///
///
///
abstract interface class AuthInterface {
  /// Проверка авторизации
  Future<bool> get isAuth;

  /// Получение токена
  Future<String?> get token;

  /// Авторизация
  Future<String?> login(String email);

  /// Отправка кода
  Future<bool> sendCode(String code, String uid);
}
